Qemu 1.2 released!

So this is good news, as always you can check out the change log, or download the source and compile yourself…

Using my quick instructions on building on OS X, I got 1.2 to compile which is nice, and run DOOM..

As you can see from this output it isn’t relying on the TCG backend

$ ./configure –audio-card-list=ac97,es1370,sb16,adlib,hda,gus –disable-curl –target-list=i386-softmmu
Silently falling back into gthread backend under darwin
Install prefix /usr/local
BIOS directory /usr/local/share/qemu
binary directory /usr/local/bin
library directory /usr/local/lib
include directory /usr/local/include
config directory /usr/local/etc
Manual directory /usr/local/share/man
ELF interp prefix /usr/gnemul/qemu-%M
Source path /Users/neozeed/src/qemu-1.2.0
C compiler gcc
Host C compiler gcc
Objective-C compiler clang
CFLAGS -O2 -D_FORTIFY_SOURCE=2 -g
QEMU_CFLAGS -m64 -DOS_OBJECT_USE_OBJC=0 -arch x86_64 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -Wstrict-prototypes -Wredundant-decls -Wall -Wundef -Wwrite-strings -Wmissing-prototypes -fno-strict-aliasing -fstack-protector-all -Wendif-labels -Wmissing-include-dirs -Wempty-body -Wnested-externs -Wformat-security -Wformat-y2k -Winit-self -Wold-style-definition
LDFLAGS -m64 -framework CoreFoundation -framework IOKit -arch x86_64 -g
make make
install install
python python
smbd /usr/sbin/smbd
host CPU x86_64
host big endian no
target list i386-softmmu
tcg debug enabled no
gprof enabled no
sparse enabled no
strip binaries yes
profiler no
static build no
-Werror enabled no
Cocoa support yes
SDL support no
curses support yes
curl support no
mingw32 support no
Audio drivers coreaudio
Extra audio cards ac97 es1370 sb16 adlib hda gus
Block whitelist
Mixer emulation no
VirtFS support no
VNC support yes
VNC TLS support no
VNC SASL support yes
VNC JPEG support no
VNC PNG support no
xen support no
brlapi support no
bluez support no
Documentation yes
NPTL support no
GUEST_BASE yes
PIE no
vde support no
Linux AIO support no
ATTR/XATTR support no
Install blobs yes
KVM support no
TCG interpreter no
fdt support no
preadv support no
fdatasync no
madvise yes
posix_madvise yes
uuid support no
libcap-ng support no
vhost-net support no
Trace backend nop
Trace output file trace-<pid>
spice support no
rbd support no
xfsctl support no
nss used no
usb net redir no
OpenGL support no
libiscsi support no
build guest agent yes
seccomp support no
coroutine backend

So far it looks good on OS X, so here is my i386 binary! ย Although I’ve only tested it with MS-DOS 4.01 & Doom 1.1

Doom 1.1 on OS X 10.8.1 via Qemu 1.2.0

 

Qemu 1.2.0 & all its win32 glory

And after much delay, here is my Win32 binary for the i386 system emulation. ย And just like the OS X version, I’ve only tested it with Doom. ย I’ve included my usual control-alt-delete shortcut & the ability to quick reset.

This entry was posted in OS X, qemu by neozeed. Bookmark the permalink.
avatar

About neozeed

What is there to tell? I've loved UNIX like things since I was first exposed to QNX in highschool (we had the Unisys ICONS!), and spent the better time of my teenage years trying to get my own UNIX... I should have bought Coherent in retrospect.. Anyways latched onto Linux in 1992, and then got some old BSD admin books and have been hooked on the VAX BSD & other big/ancient things since...!

23 thoughts on “Qemu 1.2 released!

  1. hi, thanks for the build, but i can’t run it.
    i receive this error:
    imacale:qemu-120 ale$ ./qemu-system-i386
    dyld: Library not loaded: /usr/local/lib/libgthread-2.0.0.dylib
    Referenced from: /Users/ale/Downloads/qemu-120/./qemu-system-i386
    Reason: Incompatible library version: qemu-system-i386 requires version 3303.0.0 or later, but libgthread-2.0.0.dylib provides version 3201.0.0
    Trace/BPT trap: 5

    which glib version does it need? i’ve just built and installed version 2.32.4 but i receive the same error.
    did you compiled it against an unstable glib release?

    • check the ‘glib’ directory there should be a bunch of dylibs there that I used…

      I built version glib-2.33.2 which was the highest number in the directory, although im not sure why on earth it repots itself as 3303.00 .. go figure.

      Qemu actually will compile with 10.8.1 so you can always just build it worst case….

      $ gcc -v
      Using built-in specs.
      Target: i686-apple-darwin11
      Configured with: /private/var/tmp/llvmgcc42/llvmgcc42-2336.11~28/src/configure –disable-checking –enable-werror –prefix=/Applications/Xcode.app/Contents/Developer/usr/llvm-gcc-4.2 –mandir=/share/man –enable-languages=c,objc,c++,obj-c++ –program-prefix=llvm- –program-transform-name=/^[cg][^.-]*$/s/$/-4.2/ –with-slibdir=/usr/lib –build=i686-apple-darwin11 –enable-llvm=/private/var/tmp/llvmgcc42/llvmgcc42-2336.11~28/dst-llvmCore/Developer/usr/local –program-prefix=i686-apple-darwin11- –host=x86_64-apple-darwin11 –target=i686-apple-darwin11 –with-gxx-include-dir=/usr/include/c++/4.2.1
      Thread model: posix
      gcc version 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2336.11.00)

      • ah! fascinating, i didn’t see the glib folder at all!!!
        anyway, i tried to build it myself but i received this error:
        glib-2.12 required to compile QEMU

        as i said before i’ve the 2.33.4.
        i’ve replaced my dylibs with yours and now your build works like a charm!!
        i’m on my way for installing OS/2 on it.
        thanks!

    • no prob… I would imagine vnc is built in, but I haven’t checked as I don’t use Windows much… I’ve been moving more and more over to OS X…

  2. Hi, I wasn’t sure where I should ask this but do you know why the isapc option does not work on any version of QEMU? I just seem to get a blank screen ๐Ÿ™

    • i know part of it is just plain bitrot, the ISA video is broke, and the ISA disks as well… And the BIOS doesn’t support old style ISA controllers, as I went down that rabbit hole a while ago, and had to build my own BIOS to boot up, but it didn’t fix Novell Netware so I kind of gave up.

      If you check hw/pc.c you can see where the device types get initialized, you may be able to fix it better than I…

      Oh and shared interrupts, the ISA NE2000 by default sits on IRQ 9 which conflicts with something else (the cascade from the first IRQ controller to the 2nd in the IBM AT..?)

      • Thanks for your quick response!

        Unfortunately I am merely an enthusiast with too much time on my hands at the moment and like the idea of trying to get modern software and operating systems running on old configurations through QEMU (hence the ISAPC option which I wanted) Also a useful option for older DOS games too.

        Sadly I wouldn’t know where to start with the source code. Or building my own BIOS! How did you do that? I don’t mind about network features so if I could get the thing to boot using ISAPC then that would be fine. I thought using the BOCHS BIOS would work, but that doesn’t show anything. In fact the only BIOS I can get to work is the SeaBIOS one that ships with QEMU.

      • it was a long adventure, although the old versions of Qemu work quite nicely on their own, 0.90 worked pretty well for old stuff.

        some of it was here, and here

      • check here for Qemu 0.10.5 … I may have to see if I can even still build a 0.90 binary, the only one I seem to have lying around is one that has been modified for NeXTSTEP so it uses a MS Busmouse, instead of the PS/2 mouse.

      • Thank you very much for taking the time to find those ๐Ÿ™‚

        One problem, for some reason when using the -M isapc switch, although I can now use QEMU with everything in ‘ISA mode’, Windows NT-based systems just cause a “QEMU has stopped working” crash on the host. For example, when you run Windows setup, and it’s in the text mode phase of setup, it crashes just after it says “Setup is starting Windows” after the initial “Press F6 for RAID/SCSI, F2 for ASR recovery..” etc etc. Seems to work fine without. Any ideas?

  3. I keep getting a crash on startup when trying to use Qemu 1.2.0. I’m using the basic command “qemu-system-i386 -L Pc-bios” the qemu window opens but I then get an error report do I wish to send to Microsoft. Looking at the error report this is the information I get
    AppName: qemu-system-i386.exe AppVer: 1.2.0.0 ModName: msvcrt.dll
    ModVer: 7.0.2600.5512 Offset: 0002554a

    I’m running Xp sp3. Any ideas?

  4. Continuously getting “lib-2.12 required to compile QEMU” error when tried to compile Qemu on ubuntu. I tried to get one via apt-get command, but it is an old version ๐Ÿ™ No idea what to do…

Leave a Reply

Your email address will not be published.

Notify me of followup comments via e-mail. You can also subscribe without commenting.